Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14423/?format=api
{ "ob_id": 14423, "uuid": "5b62597f2cc949e384ea162aa88c04ca", "title": "Polluted Troposphere IONS: Meteorological and Aerosol counter raw measurements from the University of Reading and Weybourne Atmospheric Observatories.", "abstract": "Ionisation as a precursor to Aerosol Formation (also known as IONS) was a Natural Environment Research Council (NERC) Polluted Troposphere Research Programme project (Round 1 - NER/T/S/2002/00150 - Duration 2002 - 2005) and was led by Dr RG Harrison, University of Reading.\r\n\r\nThis dataset contains raw measurements of solar radiation, ground heat flux, air temperature, wind, dew point and relative humidity and aerosol counter from University of Reading and Weybourne Atmospheric Observatories.\r\n\r\nPlease refer to the other datasets for the NASA Ames formatted final versions of these datasets.", "keywords": "Polluted Troposphere, Ionisation, Chemistry, Meteorology", "publicationState": "published", "dataPublishedTime": "2007-03-14T14:46:59", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14424/?format=api", "dataPath": "/badc/polluted-tropo/data/ions/raw-data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 655185202, "numberOfFiles": 488, "fileFormat": "Data are ASCII and CSV formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/506/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/902/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13197/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13200/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21769/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23421/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25402/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25884/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25891/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25918/?format=api" ], "dataLineage": "Data were obtained at the Weybourne Atmospheric Observatory on the Norfolk coast during the TORCH 2 campaign of May/June 2004 and at the University of Reading meteorological field site. Data provided to the BADC as is, by the Polluted Troposphere Programme participants.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14392/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1875/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55975/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55976/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55977/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55979/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55980/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55981/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55982/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55978/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/14425/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }